Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartPaper2DInfo

    java.lang.Object
      jet.report.xls.ChartPaperInfo
          jet.report.xls.ChartPaper2DInfo

    public class ChartPaper2DInfo

extends ChartPaperInfo

Contains the information of chart paper in the file.

Constructor Summary
`ChartPaper2DInfo()` Creates a `ChartPaper2DInfo` with the default parameters.
`ChartPaper2DInfo(int x, int y, int width, int height, ChartAreaInfo paperAreaInfo, LineFormatInfo gridX, LineFormatInfo gridY, LineFormatInfo gridY2, AreaFormatInfo wall, AxisInfo xAxisInfo, YAxisInfo yAxisInfo, YAxisInfo y2AxisInfo)` Constructs a `ChartPaper2DInfo` with these parameters:

Method Summary
`LineFormatInfo` | `getGridY2()` Gets the information of gridline of y2 axis.
`YAxisInfo` | `getY2Axis()` Gets the information of y1 axis.
`void` | `setGridY2(LineFormatInfo gridY2)` Sets the information of gridline of y2 axis.
`void` | `setY2Axis(YAxisInfo y2Axis)` Sets the information of y2 axis.

Methods inherited from class jet.report.xls.ChartPaperInfo
`getGridX, getGridY, getHeight, getPaperArea, getWall, getWidth, getX, getXAxis, getY, getYAxis, setGridX, setGridY, setHeight, setPaperArea, setWall, setWidth, setX, setXAxis, setY, setYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartPaper2DInfo

    public ChartPaper2DInfo()

  Creates a `ChartPaper2DInfo` with the default parameters.

### ChartPaper2DInfo

    public ChartPaper2DInfo(int x,
                            int y,
                            int width,
                            int height,
                            ChartAreaInfo paperAreaInfo,
                            LineFormatInfo gridX,
                            LineFormatInfo gridY,
                            LineFormatInfo gridY2,
                            AreaFormatInfo wall,
                            AxisInfo xAxisInfo,
                            YAxisInfo yAxisInfo,
                            YAxisInfo y2AxisInfo)

  Constructs a `ChartPaper2DInfo` with these parameters:

  Parameters:
    `x` - the x-position of the upper-left corner on chart paper
    `y` - The y-position of the upper-left corner on chart paper
    `width` - width of the chart paper
    `height` - height of the chart paper
    `paperAreaInfo` - the information of the chart paper
    `gridX` - the information of the gridline in x axis
    `gridY` - the information of the gridline in y1 axis
    `gridY2` - the information of the gridline in y2 axis
    `wall` - the information of chart wall
    `xAxisInfo` - the information of x axis
    `yAxisInfo` - the information of y1 axis
    `y2AxisInfo` - the information of y2 axis

Method Detail

### setGridY2

    public void setGridY2(LineFormatInfo gridY2)

  Sets the information of gridline of y2 axis.

  Parameters:
    `gridY2` - the information of gridline of y2 axis

### getGridY2

    public LineFormatInfo getGridY2()

  Gets the information of gridline of y2 axis.

  Returns:
    the information of gridline of y2 axis

### setY2Axis

    public void setY2Axis(YAxisInfo y2Axis)

  Sets the information of y2 axis.

  Parameters:
    `y2Axis` - the information of y2 axis

### getY2Axis

    public YAxisInfo getY2Axis()

  Gets the information of y1 axis.

  Returns:
    the information of y1 axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD